--- title: "Delete All Alerts" slug: "delete-all-alerts-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/delete-all-alerts-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete All Alerts This URL is used to delete all alerts. ### Resource URL DELETE /alerts? alertstate= &timeperiod== &startime== &endtime=&search=&filter= ### Request Parameters Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `alertstate` | Alert state, values allowed are, ANY/Acknowledged/Unacknowledged | String | No | | `timeperiod` | Time period, allowed values are - LAST_5_MINUTES - Last_1_HOUR - LAST_6_HOURS - LAST_12_HOURS - LAST_24_HOURS - LAST_7_DAYS - LAST_14_DAYS - CUSTOM | String | No | | `starttime` | Start time | String | No | | `endtime` | End time | | No | | `search` | Search | String | No | | `Filter` | Filter on following column is allowed name, assignTo, application, layer7Data, result, attackCount, relevance, alertId, direction, device, domain, interface, attackSeverity, nspId, btp, attackCategory, malwarefileName, malwarefileHash, malwareName, malwareConfidence, malwareEngine ,executableName, executableHash, executableConfidenceName, attackerIPAddress, attackerPort, attackerRisk, attackerProxyIP, attackerHostname, targetIPAddress, targetPort, targetRisk, targetProxyIP, targetHostname, botnetFamily Ex: name:Malware;direction:Inbound,Outbound;attackcount:>3,<4 | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful, -1 otherwise | Number | ### Example **Request** DELETE [https:///sdkapi/alerts?fromalert=1334242&page=next&timeperiod=custom&starttime=10/10/2015 12:00&endtime=01/12/2015 12:00](https://<NSM_IP>/sdkapi/domain/0/remoteaccess/radius) **Response** ``` { "status":1           } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 3704 | Invalid filter value | | 2 | 404 | 9803 | Sensor id is required | | 3 | 404 | 9803 | Manager name is required |